Subject: bug#43086: [PATCH] Allow tags backend to not query for TAGS file

From: Dmitry Gutov <[email-masked]>
Date: Tue, 10 Sep 2024 16:32:21 +0300

On 10/09/2024 15:45, Eli Zaretskii wrote:
>> Cc: [email-masked], [email-masked]
>> Date: Tue, 10 Sep 2024 14:41:43 +0300
>> From: Eli Zaretskii <[email-masked]>
>>
>>> How do you feel about etags-regen-mode being on by default in some next
>>> Emacs release? It shouldn't conflict with the manual invocations of 'M-x
>>> visit-tags-file' - and of course if any cases come up we'll work on
>>> fixing those.
>>
>> As long as there's a way of turning it off, I don't think I will mind
>> too much.
> 
> Come to think about this: this mode runs 'etags' without any special
> switches, right?  Then what will turning this mode ON do in the Emacs
> repository, where our 'etags' command is very heavily customized (see
> src/Makefile.in)?

etags-regen-mode doesn't know how to parse Makefile.in, and it doesn't 
seem feasible, so it needs the user to customize 
`etags-regen-regexp-alist` for any special rules.

That's already done in the Emacs repo, see our .dir-locals.el.